<template>
    <div class="w-100 pt-5">
        <div class="flex column align-center justify-center _404error">
            <div class="flex aign-center justify-center">
                <h1>Oops!</h1>
                <!-- <div class="img">
                    <img src="http://projects.itinnovator.in/c84/amp-html/img/it-innovator-logo.jpg" alt="" class="img404">
                </div>
                <h1>4</h1> -->
            </div>
            <span class="error_msg">
                <!-- <v-icon>warning</v-icon> -->
                404 - Page not found
            </span>
            <p>The page you are looking for might have been removed <br> had its name changed ot is temporarily unavailable.</p>
            <v-divider class="ma-5 w-100"></v-divider>
            <h2 class="__title">Choose your favorite Wires</h2>
            <div class="product_list pt-3">
                <div class="product_item" v-for="fav in products" :key="fav.id_product">
                    <nuxt-link :to="$core.getURL(fav)">
                    <img :src="fav.images[0].bySize.home_default.url" :alt="fav.name" v-if="fav.images[0]">
                    <img src="https://www.balingwiredirect.com/46-home_default/13-gauge-galvanized-single-loop-bale-ties.jpg" v-else>
                    <h5 class="product_name">
                        {{ fav.name }}
                    </h5>
                    <p class="price_tag">
                        <!-- <span class="was">$1,295.80</span>  -->
                        {{ fav.regular_price }}</p>
                    <p class="tag-line">
                        Fast & Competitive Freight <i class="material-icons tagline-icn">local_shipping</i>
                    </p>
                    </nuxt-link>
                </div>
            </div>
        </div>
    </div>
</template>
<script>
import axios from 'axios';
export default {
    data (){
        return {
            products: [],
        }
    },
    created () {
        axios.get(this.$store.state.api_domain + '?comp=home').then((res) => {
            this.products = res.data.home.favs;
        });
    },
    head () {
      return {
          title: '404 error',
          meta: [
              {hid: 'description', name: 'description', content: 'This page cannot be found'},
              {hid: 'keywords', name: 'keywords', content: '404, 404 page'}
          ]
      }
    }
}
</script>
